| OpenCV 3.4.3 Open Source Computer Vision

Static Public Member Functions | List of all members
cv::xfeatures2d::HarrisLaplaceFeatureDetector Class Reference
Extra 2D Features Framework » Experimental 2D Features Algorithms

Class implementing the Harris-Laplace feature detector as described in [134]. More...

`#include "xfeatures2d.hpp"`

Inheritance diagram for cv::xfeatures2d::HarrisLaplaceFeatureDetector:

## Static Public Member Functions
static Ptr< HarrisLaplaceFeatureDetector > | create (int numOctaves=6, float corn_thresh=0.01f, float DOG_thresh=0.01f, int maxCorners=5000, int num_layers=4)
| Creates a new implementation instance. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty. More...
virtual String | getDefaultName () const CV_OVERRIDE
void | read (const String &fileName)
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing the Harris-Laplace feature detector as described in [134].

## Member Function Documentation

## § create()

static Ptr<HarrisLaplaceFeatureDetector> cv::xfeatures2d::HarrisLaplaceFeatureDetector::create | ( | int | numOctaves = `6`,
|  | float | corn_thresh = `0.01f`,
|  | float | DOG_thresh = `0.01f`,
|  | int | maxCorners = `5000`,
|  | int | num_layers = `4`
| ) |  |
| static

Python:
| retval | = | cv.xfeatures2d.HarrisLaplaceFeatureDetector_create( | [, numOctaves[, corn_thresh[, DOG_thresh[, maxCorners[, num_layers]]]]] | )

Creates a new implementation instance.

Parameters

  numOctaves | the number of octaves in the scale-space pyramid
  corn_thresh | the threshold for the Harris cornerness measure
  DOG_thresh | the threshold for the Difference-of-Gaussians scale selection
  maxCorners | the maximum number of corners to consider
  num_layers | the number of intermediate scales per octave

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/xfeatures2d/include/opencv2/xfeatures2d.hpp